Skip to main content
`Ctrl`+`K`

# TSAdaptCandidateAdd

add a candidate scheme for the adaptive controller to select from

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCandidateAdd(TSAdapt adapt, const char name[], PetscInt order, PetscInt stageorder, PetscReal ccfl, PetscReal cost, PetscBool inuse)

Logically Collective; No Fortran Support

## Input Parameters

- adapt - time step adaptivity context, obtained with `TSGetAdapt()` or `TSAdaptCreate()`

- name - name of the candidate scheme to add

- order - order of the candidate scheme

- stageorder - stage order of the candidate scheme

- ccfl - stability coefficient relative to explicit Euler, used for CFL constraints

- cost - relative measure of the amount of work required for the candidate scheme

- inuse - indicates that this scheme is the one currently in use, this flag can only be set for one scheme

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptCandidatesClear()`, `TSAdaptChoose()`

## Level

developer

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages